<!DOCTYPE html>
<html lang="es" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title> Corte Multiple </title>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js" integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.0/jquery.min.js"></script>
    <link rel="stylesheet" href="style.css">

    <script type="text/javascript">

      $.ajax(
  {
      url: 'csv_data.csv',
      dataType: 'text',
  })
  .done( function(data){
    console.log(data);
    successFunction(data);
  })
  .fail(  function(jqXHR, textStatus, errorThrown) {

      var errorString = (errorThrown === "") ?
  			"Error. " : errorThrown + " (" + jqXHR.status + "): ";
  		    errorString += (jqXHR.responseText === "") ?
  			"" : (jQuery.parseJSON(jqXHR.responseText).message) ?
  				jQuery.parseJSON(jqXHR.responseText).message :
  					jQuery.parseJSON(jqXHR.responseText).error.message;
  		//alert(errorString);
  		console.log(errorString);
  })
  ;

  function successFunction(data)
  {
    var allRows = data.split(/\r?\n|\r/);
    var table = '<table>';
    var parrafo = document.querySelector("#table1");
        for( var singleRow = 0; singleRow < allRows.length; singleRow++ )
        {

              if( singleRow === 0 )
              {
                table += '<thead>';
                table += '<tr>';

              }else {

                table += '<tr>';
              }

              var rowCells = allRows[singleRow].split(';');

              for( var rowCell = 0; rowCell < rowCells.length; rowCell++ )
              {

                  if( singleRow === 0 )
                  {
                    table += '<th>';
                    table += rowCells[rowCell];
                    table += '</th>';
                  }else{
                    table += '<td>';
                    table += rowCells[rowCell];
                    table += '</td>';
                  }
              }

              if( singleRow === 0 )
              {
                table += '</tr>';
                table += '</thead>';
                table += '</th>';
              }else{
                table += '</tr>'
              }
        }

        table += '</tbody>';
        table += '</table>';

        $('body').append(table);

  }

    </script>

  </head>
  <body>

    <p id="table1"> Hola </p>

  </body>


</html>
